/*
   Copyright (C) 2001-2003 Thomas Capricelli <orzel@freehackers.org>
*/

#include <koApplication.h>
#include <koDocument.h>
#include <koMainWindow.h>
#include <kcmdlineargs.h>
#include <klocale.h>
#include <kaboutdata.h>
#include <dcopclient.h>
#include "opale_factory.h"



static const KCmdLineOptions options[]=
{
	{"+[file]", I18N_NOOP("File To Open"),0},
        KCmdLineLastOption
};

int main( int argc, char **argv )
{
    KCmdLineArgs::init( argc, argv, OpaleFactory::aboutData() );
    KCmdLineArgs::addCmdLineOptions( options );
    KoApplication app;

    app.dcopClient()->attach();
    app.dcopClient()->registerAs( "opale" );

    if (!app.start()) // parses command line args, create initial docs and shells
	return 1;
    return app.exec();
}

