/*
   Copyright (C) 2001-2003 Thomas Capricelli <orzel@freehackers.org>
*/

#ifndef OPALE_FACTORY_H
#define OPALE_FACTORY_H

#include <koFactory.h>

class KInstance;
class KAboutData;

class OpaleFactory : public KoFactory
{
    Q_OBJECT
public:
    OpaleFactory( QObject* parent = 0, const char* name = 0 );
    ~OpaleFactory();

    virtual KParts::Part *createPartObject( QWidget *parentWidget = 0, const char *widgetName = 0, QObject *parent = 0, const char *name = 0, const char *classname = "KoDocument", const QStringList &args = QStringList() );

    static KInstance* global();

    // _Creates_ a KAboutData but doesn't keep ownership
    static KAboutData* aboutData();

private:
    static KInstance* s_global;
    static KAboutData* s_aboutData;
};

#endif
