/*
   Copyright (C) 2001-2003 Thomas Capricelli <orzel@freehackers.org>
*/

#ifndef OPALE_GRAPH_H
#define OPALE_GRAPH_H


#include <time.h>

/* Qt */
#include <qmainwindow.h>
#include <qvaluelist.h>
#include <qlabel.h>
#include <qpixmap.h>
#include <qdatetime.h>

/* KDE */
#include <kmainwindow.h>

/* KOffice */
#include <KDChartParams.h>
#include <KDChartWidget.h>

/* Opale */
#include "opale.h" // OPALE_DEBUG_STREAM


class QPainter;
class OpalePart;

class OpaleGraph : public KMainWindow
{
	Q_OBJECT
public:
	OpaleGraph( OpalePart *_part, QWidget *parentWidget = 0, const char *widgetName = 0);
	~OpaleGraph();

	virtual void mousePressEvent( QMouseEvent * );
	virtual void mouseReleaseEvent( QMouseEvent * );

public slots:
	void	updateChart(void);
	void	goleft(void);
	void	goright(void);
	void	zoomin(void);
	void	zoomout(void);

private:
	void setBeginEnd(uint uistart, uint uiend);

	OpalePart * part;

	KDChartParams chartParams;
	KDChartTableData chartData;
	KDChartWidget *chart; // data

	QDateTime	start, end;
	uint		len, middle;
};

#endif // OPALE_GRAPH_H
